<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase boolean validateData(com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase.Data)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void appendDestructuringInitializer(it.unimi.dsi.fastutil.doubles.DoubleList, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;kotlin.Triple&lt;java.lang.String,java.lang.String,java.lang.String&gt;&gt;, java.lang.StringBuilder)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void doInvoke(com.intellij.lang.javascript.psi.JSExpression, com.intellij.openapi.project.Project, com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSObjectLiteralIndexingToArrayDestructuringIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase.Data checkIndexerListForDestructuring(com.intellij.openapi.editor.Editor, com.intellij.openapi.project.Project, com.intellij.lang.javascript.psi.JSExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSPropagateToDestructuringIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase com.intellij.lang.javascript.psi.JSExpression createInitializer(java.util.List&lt;com.intellij.psi.PsiElement&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSSubsequentIndexingToDestructuringIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringToReferencesAndIndexersIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringPropagationIntentionBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase com.intellij.lang.javascript.psi.JSReferenceExpression findReference(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringIntentionBase boolean isValidIndexer(com.intellij.lang.javascript.psi.JSIndexedPropertyAccessExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4738.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringPropagationIntentionBase com.intellij.psi.PsiElement replaceWithDestructuring(com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, com.intellij.psi.PsiElement, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringIntentionBase">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSIntroduceDestructuringVariablesIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase com.intellij.lang.javascript.psi.JSIndexedPropertyAccessExpression findIndexer(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void runWriteAction(java.lang.Runnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase.Data Data(com.intellij.lang.javascript.psi.JSExpression, com.intellij.psi.PsiElement, java.util.List&lt;com.intellij.psi.PsiElement&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSIntroduceDestructuringVariablesIntention boolean isInTypeAnnotation(com.intellij.psi.PsiElement)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.5701.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSGenerateDestructuringPatternIntention boolean isApplicableType(com.intellij.lang.javascript.psi.JSType, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase boolean checkAvailable(com.intellij.lang.javascript.psi.JSExpression, com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void doTransformItems(com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase.Data, java.lang.StringBuilder, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSDestructuringIntentionBase void appendDestructuringArrayInitializer(it.unimi.dsi.fastutil.doubles.DoubleList, java.util.List&lt;java.lang.String&gt;, java.lang.StringBuilder)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSGenerateDestructuringPatternIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase kotlin.Triple&lt;java.lang.String,java.lang.String,java.lang.String&gt; extractPropertyNameAndDefaultValue(com.intellij.lang.javascript.psi.JSConditionalExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase com.intellij.lang.javascript.psi.JSExpression getInitialQualifier(com.intellij.lang.javascript.psi.JSExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase T findExpression(com.intellij.psi.PsiElement, java.util.function.Function&lt;com.intellij.psi.PsiElement,T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase boolean isTopLevel(com.intellij.lang.javascript.psi.JSExpression)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.6707.61&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void appendDeclarationStatement(com.intellij.lang.javascript.psi.JSStatement, java.util.List&lt;java.lang.String&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSSubsequentPromiseAwaitToPromiseAllDestructuringIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;192.5728.98&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase void initialize(com.intellij.lang.javascript.intentions.destructuring.JSStatementDestructuringIntentionBase.Data, it.unimi.dsi.fastutil.doubles.DoubleList, java.util.List&lt;java.lang.String&gt;, java.util.List&lt;kotlin.Triple&lt;java.lang.String,java.lang.String,java.lang.String&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.lang.javascript.intentions.destructuring.JSSubsequentPropertyAccessToDestructuringIntention">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
</root>
